#
# This file attempts to locate the TileDB library. If found, the following
# imported targets are created:
#   - TileDB::tiledb_shared
#   - TileDB::tiledb_static
# And the following variables are defined:
#   - TILEDB_FOUND
#   - TileDB_FOUND
#


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include("${CMAKE_CURRENT_LIST_DIR}/TileDBTargets.cmake")
check_required_components("TileDB")

# Targets required for linking against tiledb_static:
if (NOT TARGET Bzip2::Bzip2)
  add_library(Bzip2::Bzip2 UNKNOWN IMPORTED)
  set_target_properties(Bzip2::Bzip2 PROPERTIES IMPORTED_LOCATION /usr/local/lib/libbz2.so)
endif()
if (NOT TARGET LZ4::LZ4)
  add_library(LZ4::LZ4 UNKNOWN IMPORTED)
  set_target_properties(LZ4::LZ4 PROPERTIES IMPORTED_LOCATION /usr/local/lib/liblz4.so)
endif()
if (NOT TARGET Zlib::Zlib)
  add_library(Zlib::Zlib UNKNOWN IMPORTED)
  set_target_properties(Zlib::Zlib PROPERTIES IMPORTED_LOCATION /usr/local/lib/libz.so)
endif()
if (NOT TARGET ZLIB::ZLIB)
  add_library(ZLIB::ZLIB UNKNOWN IMPORTED)
  set_target_properties(ZLIB::ZLIB PROPERTIES IMPORTED_LOCATION /usr/local/lib/libz.so)
endif()
if (NOT TARGET Zstd::Zstd)
  add_library(Zstd::Zstd UNKNOWN IMPORTED)
  set_target_properties(Zstd::Zstd PROPERTIES IMPORTED_LOCATION /usr/local/lib/libzstd.so)
endif()
if (NOT TARGET CapnProto::capnp)
  add_library(CapnProto::capnp UNKNOWN IMPORTED)
  set_target_properties(CapnProto::capnp PROPERTIES IMPORTED_LOCATION /usr/local/lib/libcapnp-0.8.0.so)
endif()
if (NOT TARGET CapnProto::capnp-json)
  add_library(CapnProto::capnp-json UNKNOWN IMPORTED)
  set_target_properties(CapnProto::capnp-json PROPERTIES IMPORTED_LOCATION /usr/local/lib/libcapnp-json-0.8.0.so)
endif()
if (NOT TARGET CapnProto::kj)
  add_library(CapnProto::kj UNKNOWN IMPORTED)
  set_target_properties(CapnProto::kj PROPERTIES IMPORTED_LOCATION /usr/local/lib/libkj-0.8.0.so)
endif()
if (NOT TARGET OpenSSL::SSL)
  add_library(OpenSSL::SSL UNKNOWN IMPORTED)
  set_target_properties(OpenSSL::SSL PROPERTIES IMPORTED_LOCATION /usr/local/lib/libssl.so)
endif()
if (NOT TARGET OpenSSL::Crypto)
  add_library(OpenSSL::Crypto UNKNOWN IMPORTED)
  set_target_properties(OpenSSL::Crypto PROPERTIES IMPORTED_LOCATION /usr/local/lib/libcrypto.so)
endif()
if (NOT TARGET CURL::libcurl)
  add_library(CURL::libcurl UNKNOWN IMPORTED)
  set_target_properties(CURL::libcurl PROPERTIES IMPORTED_LOCATION /usr/local/lib/libcurl.so)
endif()
if (NOT TARGET spdlog::spdlog)
  add_library(spdlog::spdlog UNKNOWN IMPORTED)
  set_target_properties(spdlog::spdlog PROPERTIES IMPORTED_LOCATION /usr/local/lib/libspdlog.so.1.9.2)
endif()

# -- End required targets for static

# Define a convenience all-caps variable
if (NOT DEFINED TILEDB_FOUND)
  if (TARGET TileDB::tiledb_shared)
    set(TILEDB_FOUND TRUE)
  else()
    set(TILEDB_FOUND FALSE)
  endif()
endif()
